from scipy.optimize import minimize                     #1
import numpy as np                                                  #2

def A(x):                                                                       #3
    "Zielfunktion"
    r = x[0]
    h = x[1]
    return 2*np.pi*r*r + 2*np.pi*r*h

def V(x):                                                                       #4
    "Nebenbedingung"
    r = x[0]
    h = x[1]
    return np.pi*r*r*h-1000.0

r0 = 10.0; h0 = 10.0                                                    #5
x0 = [r0, h0]
print("Zielfunktion (Anfangswert): ",A(x0))
print("Nebenbedingung (Anfangswert): ",V(x0))
print()

g = (1.0, 30.0)                                                             #6
B = [g, g]                                                                    #7

NebenBed = { 'type' : 'eq' , 'fun':V }                       #8
cons = [NebenBed]                                                  #9

ergebnis = minimize(A,x0,method='SLSQP',
                    bounds=B,constraints=cons)          #10

print(ergebnis)                                                        #11
