from scipy.fftpack import fft
import numpy as np
import matplotlib.pyplot as plt


N = 60000
T = 10.0
dT = T/N
t = np.linspace(0.0, T, N)
y = 0.8*np.sin(50.0*2.0*np.pi*t) + \
    0.4*np.sin(80.0*2.0*np.pi*t) + \
    np.random.normal(size=N)

plt.grid()
plt.xlabel("Zeit t in Sekunden")
plt.ylabel("y(t)")
plt.plot(t, y, "b-",linewidth=2)
plt.xlim(0,1.0)
plt.show()

yf = fft(y)
f = np.linspace(0.0, N/(2*T), N//2)
z = 2.0/N*np.abs(yf[0:N//2])

plt.plot(f, z, linewidth=2)
plt.grid()
plt.xlabel("Frequenz f in Hz")
plt.ylabel("Frequenzspektrum (Betrag) z")
plt.xlim(0,100)
plt.show()
