from scipy.integrate import odeint
# H.-B. Woyand -  Python fuer Ingenieure
# und Naturwissenschaftler - Kapitel 10
# Beispiel 8 fuer Python 2.

import numpy as np
import matplotlib.pyplot as plt

def dy_dx(y,x):
    return y + x

x = np.linspace(0,6,100)
y0 = 0.0
ys = odeint(dy_dx, y0, x)
y = np.array(ys).flatten()

plt.xlabel("x")
plt.ylabel("y")
plt.grid()
plt.plot(x, y,"g-",linewidth=3)
plt.show()

def exakt(x):
    return np.exp(x) - x - 1.0

y2 = exakt(x)
fehler = y - y2
plt.xlabel("x")
plt.ylabel("Fehler")
plt.grid()
plt.plot(x, fehler,"b-",linewidth=3)
plt.show()

